Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Roles

GET/auth/roles
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Successful Response

Array of Role
idstringrequired
keystringrequired
namestringrequired
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
created_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
updated_atstring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
permissionsstring[]
Request
curl -X GET 'https://api.streamkap.com/auth/roles' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
[
  {
    "id": "string",
    "key": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "permissions": [
      "string"
    ]
  }
]